Accounts - List Keys

Lists the keys asynchronous.
List the authorization keys associated with this account.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Purview/accounts/{accountName}/listkeys?api-version=2021-12-01

URI Parameters

Name In Required Type Description
accountName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$

The name of the account.

resourceGroupName
path True

string

The resource group name.

subscriptionId
path True

string

The subscription identifier

api-version
query True

string

The api version to use.

Responses

Name Type Description
200 OK

AccessKeys

Success

Other Status Codes

ErrorResponseModel

An error response received from the provider.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Accounts_ListKeys

Sample request

POST https://management.azure.com/subscriptions/12345678-1234-1234-12345678abc/resourceGroups/SampleResourceGroup/providers/Microsoft.Purview/accounts/account1/listkeys?api-version=2021-12-01

Sample response

Date: Wed, 13 Sep 2017 18:04:32 GMT
x-ms-request-id: d5496da4-9c52-402f-b067-83cc9ddea888
X-Content-Type-Options: nosniff
x-ms-ratelimit-remaining-tenant-reads: 14999
x-ms-correlation-request-id: 25c78f97-0b0a-4fe9-ad39-883a482265cd
{
  "atlasKafkaPrimaryEndpoint": "Endpoint=sb://fake_objectId.servicebus.windows.net/;SharedAccessKeyName=RootManageSharedAccessKey;SharedAccessKey=ASDASasdfmasdf123412341234=",
  "atlasKafkaSecondaryEndpoint": "Endpoint=sb://fake_objectId.servicebus.windows.net/;SharedAccessKeyName=AlternateSharedAccessKey;SharedAccessKey=BSDASasdfmasdf123412341234="
}

Definitions

Name Description
AccessKeys

The Account access keys.

Error

Gets or sets the error.

ErrorModel

Default error model

ErrorResponseModel

Default error response model

AccessKeys

The Account access keys.

Name Type Description
atlasKafkaPrimaryEndpoint

string

Gets or sets the primary connection string.

atlasKafkaSecondaryEndpoint

string

Gets or sets the secondary connection string.

Error

Gets or sets the error.

Name Type Description
code

string

Gets or sets the code.

details

ErrorModel[]

Gets or sets the details.

message

string

Gets or sets the messages.

target

string

Gets or sets the target.

ErrorModel

Default error model

Name Type Description
code

string

Gets or sets the code.

details

ErrorModel[]

Gets or sets the details.

message

string

Gets or sets the messages.

target

string

Gets or sets the target.

ErrorResponseModel

Default error response model

Name Type Description
error

Error

Gets or sets the error.